<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.form.customForm.mapper.CoreCustomFormDataMapper">
    <update id="truncateTable">
        ${sql}
    </update>
    <delete id="removeBySql">
        ${sql}
    </delete>

    <select id="findFormFiled" resultType="java.lang.String">
        SELECT
        COLUMN_NAME
        FROM
        information_schema. COLUMNS
        WHERE
        TABLE_SCHEMA = #{dbName}
        AND TABLE_NAME = #{tableName}
    </select>

    <select id="initSqlWithParameterReturnVoid">
            ${sql}
    </select>

    <select id="initSqlWithNUllReturnListMap" resultType="java.util.Map">
        ${sql}
    </select>

    <select id="initSqlWithNUllReturnInteger" resultType="java.lang.Integer">
           ${sql}
    </select>
    <select id="findData" resultType="java.util.Map">
        ${sql}
    </select>

</mapper>
